from fermiinstallclass import FermiInstallClass
import rhpl
from constants import *
from flags import flags
import os
import iutil
import types
import rpmUtils.arch

import logging
log = logging.getLogger("anaconda")


class InstallClass(FermiInstallClass):
    # name has underscore used for mnemonics, strip if you dont need it
    id = "theory"
    pixmap = "workstation.png"
    name = ("Theory Workgroup Install")
                     
    sortPriority = 100

    def setInstallData(self, anaconda):
	FermiInstallClass.setInstallData(self, anaconda)

    def setGroupSelection(self, anaconda):
	FermiInstallClass.setGroupSelection(self, anaconda);
	anaconda.backend.selectGroup("core")
        anaconda.backend.selectGroup("base")
        anaconda.backend.selectGroup("fermi")
        anaconda.backend.selectGroup("theory")
        anaconda.backend.selectGroup("theorypackages")
        anaconda.backend.selectGroup("admin-tools")
        anaconda.backend.selectGroup("base-x")
        anaconda.backend.selectGroup("development-libs")
        anaconda.backend.selectGroup("development-tools")
        anaconda.backend.selectGroup("gnome-desktop")
        anaconda.backend.selectGroup("graphical-internet")
        anaconda.backend.selectGroup("graphics")
        anaconda.backend.selectGroup("editors")
        anaconda.backend.selectGroup("kde-desktop")
        anaconda.backend.selectGroup("legacy-software-development")
        anaconda.backend.selectGroup("multimedia")
        anaconda.backend.selectGroup("office")
        anaconda.backend.selectGroup("openafs-client")
        anaconda.backend.selectGroup("openssh-server")
        anaconda.backend.selectGroup("printing")
        anaconda.backend.selectGroup("sound-and-video")
        anaconda.backend.selectGroup("system-tools")
        anaconda.backend.selectGroup("text-internet")
        anaconda.backend.selectGroup("upsupdbootstrap")
        anaconda.backend.selectPackage("SL_password_for_singleuser")
        anaconda.backend.deselectGroup("clamav")
        anaconda.backend.deselectGroup("dialup")
        anaconda.backend.deselectGroup("games")
        anaconda.backend.deselectGroup("java")
        anaconda.backend.deselectGroup("kernel-development")
        anaconda.backend.deselectGroup("local-printer")
        anaconda.backend.deselectGroup("workstation")
        anaconda.backend.deselectPackage("nmap")
        anaconda.backend.deselectPackage("pcsc-lite")
        anaconda.backend.deselectPackage("pcsc-lite-libs")
        anaconda.backend.deselectPackage("ccid")
        anaconda.backend.deselectPackage("coolkey")
        anaconda.backend.deselectPackage("ifd-egate")

    def setSteps(self, dispatch):
	FermiInstallClass.setSteps(self, dispatch);
#	dispatch.skipStep("partition")
  	dispatch.skipStep("tasksel")
  	dispatch.skipStep("group-selection", skip = 0)
	dispatch.skipStep("confirminstall", skip = 1)

    def __init__(self, expert):
	FermiInstallClass.__init__(self, expert)
        self.repopaths["workgroup"] = "%s/workgroups/Theory" %(productPath,)
